Snapvisor Docs

Get a project

Retrieve a project by its owner (account slug) and project name. Use it when you need a project's details or settings, for example before changing them.

GET
/projects/{owner}/{project}

Retrieve a project by its owner (account slug) and project name. Use it when you need a project's details or settings, for example before changing them.

Authorization

AuthorizationBearer <token>

Authenticate as a project with a project token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <project-token>

You can find your project token in your Snapvisor project settings. Project tokens are used by CI and the SDK to create builds and deployments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/string"
{  "id": "string",  "account": {    "id": "string",    "slug": "string"  },  "name": "string",  "defaultBaseBranch": "string",  "hasRemoteContentAccess": true,  "autoApprovedBranchGlob": "string",  "deploymentProductionBranchGlob": "string",  "private": true,  "summaryCheck": "always",  "prCommentEnabled": true,  "githubActionsOidcEnabled": true,  "tokenlessAuthEnabled": true,  "deploymentEnabled": true,  "deploymentAuth": "public",  "defaultUserLevel": "admin",  "ignoreConfig": {    "enabled": true,    "autoIgnore": {      "changes": 1    }  }}